Update rule
PATCH
https://api.vercel.com/ai-gateway/rulesUpdate a routing rule (enabled, action, or description)
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.aiGateway.updateAiGatewayRule({ teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "action": { "reason": "Customer requested refund", "rewriteModel": "string" }, "createdAt": "123", "createdBy": "string", "deleted": "false", "description": "string", "enabled": "false", "match": { "model": "string" }, "ownerId": "example_id", "ruleId": "example_id", "type": "deny", "updatedAt": "123", "updatedBy": "string"}AuthorizationbearerToken
Default authentication mechanism
400Error
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error
500Error